# Amaplex TSLint Config

> A [TSLint config](https://palantir.github.io/tslint/usage/tslint-json/) for Amaplex Software projects.

## Installation

```sh
npm install amaplex-tslint-config --save
```

## Usage

In `tslint.json`:

```json
{
  "extends": ["amaplex-tslint-config"]
}
```

### Rules

* [tslint](https://www.npmjs.com/package/tslint)
* [tslint-consistent-codestyle](https://www.npmjs.com/package/tslint-consistent-codestyle)
* [tslint-eslint-rules](https://www.npmjs.com/package/tslint-eslint-rules)
* [tslint-microsoft-contrib](https://www.npmjs.com/package/tslint-microsoft-contrib)

## Versioning

```
+----- Major version is synchronize with tslint's major version.
| +--- Minor version has BREAKING CHANGE and feat.
| | +- Patch version has patch.
| | |
x.x.x
```

## License

Apache 2.0
