
module.exports = {
  'defaultSeverity': 'error',
  'extends': ['tslint-config-airbnb'],
  'rules': {
    'align': [
      true,
      'arguments',
      'elements',
      'parameters',
      'members',
      'statements'
    ],
    'brace-style': [
      true,
      'allman',
      {
        'allowSingleLine': true
      }
    ],
    'variable-name': [
      true,
      'check-format',
      'ban-keywords'
    ],
    'file-header': [
      true,
      'Copyright \\(C\\) \\d{4} Amaplex Software. All Rights Reserved'
    ],
    'comment-format': [
      true,
      'check-uppercase', {
      'ignore-words': ['TODO', 'HACK']
    }],
    'jsdoc-format': [true, 'check-multiline-start'],
    'typedef': [
      true,
      'call-signature',
      'property-declaration',
    ],
    'member-access': [true, 'check-accessor'],
    "max-line-length": [true, 140],
  }
};